import { Canvas, Meta, Stories } from "@storybook/blocks";
import * as NewsroomBlockStories from "./newsroom-block.stories";

<Meta of={NewsroomBlockStories} />

# Newsroom Block

This is the story for the Newsroom block with InfoTeaser - the teaser with the "i" icon
at the bottom. If this info teaser is not present, simply do not render the section containing it.
See comments in the source code of the story.

To include the styles for this page in TYPO3, add the following link:

```
<link
    rel="stylesheet"
    href="/typo3conf/ext/trumpf_ux/Resources/Public/ux.integration-web-styleguide/styles/newsroom-teaser-slider.css"
/>
```

## Default

<Canvas of={NewsroomBlockStories.Default} />
